<div align="center">
  <img width="512" src="https://raw.githubusercontent.com/grdnmsz/prisma-docker/master/banner.png" alt="prisma-docker">
</div>

## Setting up a back-end environment for Prisma and Docker

<p align="center">
<img src="https://img.shields.io/github/license/grdnmsz/prisma-docker" alt="license-badge">
<img src="https://img.shields.io/github/repo-size/grdnmsz/prisma-docker" alt="repo-size-badge">
</p>

Template project to bootstrap a back-end application with nodejs (express), postgresql and prisma within a docker container.

This code is a follow up to my article available here : https://gordonmes.dev/docker-prisma

## Getting started
- Clone this repository:
```
git clone https://github.com/grdnmsz/prisma-docker.git
```

- Build, fetch and run docker containers
```
docker-compose up -d
```

## License
This project is under 0BSD, feel free to use and share it! 

## Tech & framework used
- [Docker](https://www.docker.com/), an open platform for developing, shipping, and running applications
- [Prisma](https://www.prisma.io/), a new kind of ORM for Node.js and Typescript
- [Express](https://expressjs.com/) a fast unopinionated, minimalist web framework for Node.js
- [PostgreSQL](https://www.postgresql.org/), an open source relational database
